Name:     libunity
Version:  6.12.0
Release:  1%{?dist}
Summary:  A library for instrumenting- and integrating with all aspects of the Unity shell.
Group:    Development/Libraries
License:  LGPLv3
URL:      https://launchpad.net/libunity
Source0:  %{url}/6.0/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  intltool >= 0.40.0
BuildRequires:  libgee06-devel
BuildRequires:  dee-devel
BuildRequires:  dbus-devel
BuildRequires:  libdbusmenu-gtk3-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala >= 0.23.2

%description
LibUnity is library for instrumenting- and integrating with all aspects of the
Unity shell (lp:unity). This is not a library used in the implementation
of the Unity shell itself (lp:unity does not link against it), but a library to
be consumed by clients that wants to do deep integration with the Unity shell.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/%{name}.a
rm -f %{buildroot}/%{_libdir}/%{name}.la
rm -f %{buildroot}/%{_libdir}/%{name}/%{name}-protocol-private.a
rm -f %{buildroot}/%{_libdir}/%{name}/%{name}-protocol-private.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc AUTHORS README COPYING
%{_libdir}/%{name}.so.*
%{_libdir}/%{name}/%{name}-protocol-private.so.*
%{_libdir}/python2.7/site-packages/gi/overrides/Unity.py*
%{_datadir}/glib-2.0/schemas/com.canonical.Unity.Lenses.gschema.xml

%files devel
%{_bindir}/libunity-tool
%{_datadir}/vala/vapi/unity.deps
%{_datadir}/vala/vapi/unity.vapi
%{_datadir}/vala/vapi/unity-trace.deps
%{_datadir}/vala/vapi/unity-trace.vapi
%{_datadir}/vala/vapi/unity-protocol.vapi
%{_includedir}/unity
%{_libdir}/girepository-1.0/Unity-6.0.typelib
%{_libdir}/%{name}.so
%{_libdir}/%{name}/%{name}-protocol-private.so
%{_libdir}/pkgconfig/unity-protocol-private.pc
%{_libdir}/pkgconfig/unity.pc
%{_datadir}/gir-1.0/Unity-6.0.gir

%changelog
* Sat Jan 23 2016 Wesley Hearn <whearn@redhat.com> - 6.12.0-1
- Initial package

